Bug 1559704 (CVE-2018-8905) - CVE-2018-8905 libtiff: heap-based buffer overflow in tif_lzw.c:LZWDecodeCompat() allows for denial of service
Summary: CVE-2018-8905 libtiff: heap-based buffer overflow in tif_lzw.c:LZWDecodeCompa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8905
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1559706 1559705 1559707 1559708 1574548 1574549
Blocks: 1559709
TreeView+ depends on / blocked
 
Reported: 2018-03-23 05:08 UTC by Sam Fowler
Modified: 2019-09-29 14:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:08:52 UTC

Description Sam Fowler 2018-03-23 05:08:03 UTC
LibTIFF since version 3.9.0 is vulnerable to a heap-based buffer overflow in the
tif_lzw.c:LZWDecodeCompat() function. An attacker could exploit this to cause a
denial of service via crafted TIF file.


Upstream Issue:
http://bugzilla.maptools.org/show_bug.cgi?id=2780

Additional References:
https://github.com/halfbitteam/POCs/tree/master/libtiff-4.08_tiff2ps_heap_overflow

Comment 1 Sam Fowler 2018-03-23 05:08:59 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1559705]


Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1559706]
Affects: epel-7 [bug 1559707]

Comment 6 Davor 2018-08-07 13:32:35 UTC
Any updates on this defect?

Comment 7 Riccardo Schirone 2018-08-07 14:18:23 UTC
What kind of updates are you looking for?

Comment 8 Davor 2018-08-07 14:31:44 UTC
Maybe I cannot access all the dependent pages. Is there a workaround or some mitigation recommendation that we can apply?

Comment 9 Riccardo Schirone 2018-08-07 14:50:45 UTC
Upstream patch:
https://gitlab.com/libtiff/libtiff/commit/58a898cb4459055bb488ca815c23b880c242a27d

Comment 10 Davor 2018-08-07 14:59:35 UTC
(In reply to Riccardo Schirone from comment #9)
> Upstream patch:
> https://gitlab.com/libtiff/libtiff/commit/
> 58a898cb4459055bb488ca815c23b880c242a27d

Thank You so much!

Comment 11 Riccardo Schirone 2018-08-07 15:47:25 UTC
Updated packages have been already pushed on Fedora 27 and Fedora 28.
For RHEL, a future update may address this issue.

Comment 12 errata-xmlrpc 2019-08-06 12:08:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 13 Product Security DevOps Team 2019-08-06 19:18:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-8905


Note You need to log in before you can comment on or make changes to this bug.